/* Contenedor principal */
.search_cards_container {
  width: 100%;
  padding: 0px 15px;
  transition: background 0.5s ease;
}

/* Clases para los estados */
.bg-success {
  background: var(--bg-success) no-repeat padding-box;
}

.bg-warning {
  background: var(--bg-warning) no-repeat padding-box;
}

.bg-error {
  background: var(--bg-error) no-repeat padding-box;
}

.progress_row{
  padding: 0px;
}

/* Barra de progreso */
.progress {
  margin: 0px;
}

.progress-bar {
  background-color: #00CC99;
}

/* Contenedor de tarjetas */
.cards_wrapper{
  display: flex;
  justify-content: center;
  align-items: stretch; 
  gap: 20px;
  padding: 20px;
  /* height: 304px; */
  transition: height 0.5s ease;
}

/* Cuando se muestre el componente completion-result */
.cards_wrapper.completion-active {
  height: 304px;
  margin-bottom: 14% !important;
}

/* Pantallas medianas */
@media (min-width: 1500px) and (max-width: 1600px) {
  .cards_wrapper.completion-active {
    margin-bottom: 16% !important;
  }
}

@media (min-width: 1200px) and (max-width: 1500px) {
  .cards_wrapper.completion-active {
    margin-bottom: 21% !important;
  }
}

/* Pantallas medianas */
@media (max-width: 1199px) {
  .cards_wrapper.completion-active {
    margin-bottom: 24% !important;
  }
}

.cards_wrapper.no-content {
  height: 304px;
  margin-bottom: 5% !important;
}
/* Tarjeta */
.card_panel {
  display: flex;
  flex-direction: column;
  justify-content: space-between; 
  height: 100%; 
  max-height: 191px;
  background-color: var(--white);
  border-radius: 8px;
  box-shadow: 0px 3px 6px #00000014;
  border: 1px solid #ddd;
  padding: 0px 10px;
}

/* Encabezado */
.card_heading {
  display: flex;
  align-items: start;
  gap: 12px;
}

.card_content{
  margin-top: 17px;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.card_header{
  margin-bottom: 12px;
}

/* Texto del título */
.search-title {
  color: var(--gray-2);
}

.search-subtitle {
  margin: 0px;
  color: var(--black-2);
}

.card_body{
  flex-grow: 1; 
  display: flex;
  flex-direction: column;
  justify-content: center;
}

/* Estilo de lista */
.sources-list {
  list-style: none;
  padding: 0;
}

.sources-list li {
  font-size: 13px;
  color: var(--black-2);
  display: flex; 
  display: flex;
  justify-content: space-between; 
  align-items: center;
 }

 /* Contenedor para el icono y el texto */
.source-info {
  display: flex;
  align-items: center;
  gap: 5px; 
}

/* Estilo del ícono Material Symbols */
.sources-list li .material-symbols-rounded {
  font-size: 13px !important; /* Tamaño en puntos */
  color: var(--additional-green); 
}

/* Progreso Circular */
.progress-circle {
  width: 70px;
  height: 70px;
  margin-top: 1px;
  display: flex;
  justify-content: center;
  align-items: center;
}